"use strict";
class EmulatorSettingsService {
    constructor($injector) {
        this.$injector = $injector;
    }
    canStart(platform) {
        return (() => {
            let platformService = this.$injector.resolve("platformService");
            let installedPlatforms = platformService.getInstalledPlatforms().wait();
            return _.includes(installedPlatforms, platform.toLowerCase());
        }).future()();
    }
    get minVersion() {
        return EmulatorSettingsService.REQURED_ANDROID_APILEVEL;
    }
}
EmulatorSettingsService.REQURED_ANDROID_APILEVEL = 17;
exports.EmulatorSettingsService = EmulatorSettingsService;
$injector.register("emulatorSettingsService", EmulatorSettingsService);
